#pragma once

#include <maps/libs/json/include/value.h>
#include <maps/libs/geolib/include/point.h>

#include <optional>

namespace maps::wiki::fbapi {

class Stop
{
public:
    explicit Stop(json::Value data);

    geolib3::Point2 center() const;
    std::optional<std::string> name() const;
    std::optional<std::string> uri() const;

private:
    json::Value data_;
};


} // namespace maps::wiki::fbapi
